
Database - Bug #2259

computed character columns are not created for dynamic tables

03/14/2014 08:09 AM - Stanislav Lomany

Status: Closed Start date: 03/14/2014

Priority: Normal Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Database - Feature #1661: support case-sensitive fields in indexes Closed 07/19/2013 07/21/2013

History

#1 - 03/14/2014 08:13 AM - Stanislav Lomany

1. For static temp tables computed columns ("__fieldName") are created for indexed character columns. For dynamic temp-tables they are not

created which is incorrect.

2. Flags CHARACTER and IGNORE_CASE are not properly set for components of dynamic table indexes.

3. When CREATE-LIKE takes a table which uses computed columns as the argument, that causes error.

Testcase:

def temp-table tt 

            field f1 as char

            index idx1 f1.

create tt.

def var h as handle.

def var bh as handle.

create temp-table h.

h:create-like("tt").

h:temp-table-prepare("tt").

bh = h:default-buffer-handle.

bh:buffer-create.

Error:

[03/14/2014 17:11:18 TMT] (org.hibernate.engine.jdbc.spi.SqlExceptionHelper:ERROR) Column "__FIELD1" not found

; SQL statement:

create index idx__dtt1_1__1 on dtt1 (__field1, _multiplex, id) [42122-169]
#2 - 03/29/2014 07:48 AM - Eric Faulhaber

- Assignee set to Stanislav Lomany

- Target version set to Milestone 11

#3 - 04/14/2014 04:14 PM - Stanislav Lomany

- Assignee changed from Stanislav Lomany to Ovidiu Maxiniuc

#4 - 05/07/2014 02:55 PM - Eric Faulhaber

- Status changed from New to Closed

- % Done changed from 0 to 100

Issue has been addressed as part of #1661.

#5 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features
